## nlinline 0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)
project(nlinline 
		VERSION 0.0.1
    DESCRIPTION "A quick and clean API for networking configuration via NETLINK"
    HOMEPAGE_URL "https://github.com/virtualsquare/nlinline"
		LANGUAGES C)
include(GNUInstallDirs)

install(FILES nlinline.h nlinline+.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
add_subdirectory(man)

=== debian/changelog ===
nlinline (0.1-3) unstable; urgency=medium

  * Source only upload

 -- Andrea Capriotti <capriott@debian.org>  Mon, 24 Aug 2020 20:52:05 +0200

nlinline (0.1-2) unstable; urgency=medium

  * d/control: Set Maintainer to Debian VirtualSquare Team
  * d/control: Fix Vcs
  * Initial Debian release (Closes: #965316)

 -- Andrea Capriotti <capriott@debian.org>  Sun, 19 Jul 2020 12:36:07 +0200

nlinline (0.1-1) unstable; urgency=medium

  * Initial release

 -- Renzo Davoli <renzo@cs.unibo.it>  Sun, 05 Jul 2020 16:22:12 +0200

=== debian/control ===
Source: nlinline
Priority: optional
Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), libcap-dev
Standards-Version: 4.5.0
Section: libdevel
Homepage: http://www.virtualsquare.org/
Vcs-Git: https://salsa.debian.org/virtualsquare-team/nlinline.git
Vcs-Browser: https://salsa.debian.org/virtualsquare-team/nlinline
Rules-Requires-Root: no

Package: nlinline-dev
Architecture: all
Depends: ${misc:Depends}, linux-libc-dev
Description: inline library for networking configuration (via netlink)
 nlinline (netlink inline) is a library of inline functions providing
 C programmers with very handy functions to configure network stacks.
 nlinline is entirely implemented in a header file, nlinline.h.
 .
 This package contains the development files used for C programs.

## nlinline 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.12)
 project(nlinline 
-		VERSION 0.0.1
+		VERSION 0.2.2
     DESCRIPTION "A quick and clean API for networking configuration via NETLINK"
     HOMEPAGE_URL "https://github.com/virtualsquare/nlinline"
 		LANGUAGES C)

=== debian/changelog ===
nlinline (0.2.2-1) unstable; urgency=medium

  * New Upstream Release
  * d/control: Standard version bumped to 4.5.1

 -- Andrea Capriotti <capriott@debian.org>  Fri, 08 Jan 2021 17:26:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian VirtualSquare Team <virtualsquare@cs.unibo.it>
 Uploaders: Mattia Biondi <mattiabiondi1@gmail.com>, Renzo Davoli <renzo@cs.unibo.it>, Andrea Capriotti <capriott@debian.org>
 Build-Depends: debhelper-compat (= 13), cmake (>= 3.12), libcap-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Section: libdevel
 Homepage: http://www.virtualsquare.org/
 Vcs-Git: https://salsa.debian.org/virtualsquare-team/nlinline.git

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%libvdestack-$1.tar.gz%" \
   https://github.com/virtualsquare/nlinline/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
